cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/messages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>' \
--header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'import requests
url = "https://api.botpress.cloud/v1/chat/messages/{id}"
headers = {
"x-bp-authenticated-principal": "<x-bp-authenticated-principal>",
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bp-authenticated-principal': '<x-bp-authenticated-principal>',
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.botpress.cloud/v1/chat/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"direction": "incoming",
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
}{
"message": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"direction": "incoming",
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
}getMessage
Retrieves the Message object for a valid identifier.
GET
/
v1
/
chat
/
messages
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Authenticated principal. Injected by the authentication middleware.
Bot id
Integration id
Integration alias
Caller's IP address. Injected by the edge proxy.
Path Parameters
Id of the Message
The Message object represents a message in a Conversation for a specific User.
Show child attributes
Show child attributes
Last modified on July 3, 2026
Was this page helpful?
⌘I